---
apiVersion: v1
kind: Service
metadata:
  annotations:
    capability.openshift.io/name: Insights
    exclude.release.openshift.io/internal-openshift-hosted: "true"
    include.release.openshift.io/hypershift: "true"
    include.release.openshift.io/ibm-cloud-managed: "true"
    include.release.openshift.io/self-managed-high-availability: "true"
    include.release.openshift.io/single-node-developer: "true"
    service.alpha.openshift.io/serving-cert-secret-name: openshift-insights-serving-cert
    service.alpha.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1761564657
    service.beta.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1761564657
  creationTimestamp: "2025-10-27T11:18:52Z"
  labels:
    app: insights-operator
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:capability.openshift.io/name: {}
          f:exclude.release.openshift.io/internal-openshift-hosted: {}
          f:include.release.openshift.io/hypershift: {}
          f:include.release.openshift.io/ibm-cloud-managed: {}
          f:include.release.openshift.io/self-managed-high-availability: {}
          f:include.release.openshift.io/single-node-developer: {}
          f:service.alpha.openshift.io/serving-cert-secret-name: {}
        f:labels:
          .: {}
          f:app: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"d36bdf59-d268-4238-afb0-5e0b21cca1a4"}: {}
      f:spec:
        f:internalTrafficPolicy: {}
        f:ports:
          .: {}
          k:{"port":443,"protocol":"TCP"}:
            .: {}
            f:name: {}
            f:port: {}
            f:protocol: {}
            f:targetPort: {}
        f:selector: {}
        f:sessionAffinity: {}
        f:type: {}
    manager: cluster-version-operator
    operation: Update
    time: "2025-10-27T11:18:52Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:service.alpha.openshift.io/serving-cert-signed-by: {}
          f:service.beta.openshift.io/serving-cert-signed-by: {}
    manager: service-ca-operator
    operation: Update
    time: "2025-10-27T11:31:12Z"
  name: metrics
  namespace: openshift-insights
  ownerReferences:
  - apiVersion: config.openshift.io/v1
    controller: true
    kind: ClusterVersion
    name: version
    uid: d36bdf59-d268-4238-afb0-5e0b21cca1a4
  resourceVersion: "7094"
  uid: c10d77ed-628c-4317-bc14-04f569c36c67
spec:
  clusterIP: 172.30.158.4
  clusterIPs:
  - 172.30.158.4
  internalTrafficPolicy: Cluster
  ipFamilies:
  - IPv4
  ipFamilyPolicy: SingleStack
  ports:
  - name: https
    port: 443
    protocol: TCP
    targetPort: 8443
  selector:
    app: insights-operator
  sessionAffinity: None
  type: ClusterIP
status:
  loadBalancer: {}
